import {
    useBlockProps,
    useInnerBlocksProps
} from "@wordpress/block-editor";
import { useEffect } from "@wordpress/element";
import { select } from "@wordpress/data";



const ALLOWED_BLOCKS = ["tablestack/tablecell"];

export default function Edit({ attributes, setAttributes, clientId }) {
    
    const {immediateParentClientId} = attributes;

    useEffect(()=>{
        // Get all parent IDs for the block
        const parentClientIds = select('core/block-editor').getBlockParents(clientId);

        // Get the immediate parent (last in the list of parents)
        const immediateParentId = parentClientIds.length > 0 ? parentClientIds[parentClientIds.length - 1] : null;

        setAttributes({immediateParentClientId:immediateParentId});
    },[]);

    const blockProps = useBlockProps();

    const innerBlocks = useInnerBlocksProps(
        { ...blockProps },
        {
            renderAppender: false,
            allowedBlocks: ALLOWED_BLOCKS,
        }
    );

    return <tr {...innerBlocks} />;
}



