<?php
/**
 * Plugin Name:       TableStack- Ultimate Table Builder for Block Edtior
 * Description:       TableStack is a powerful table builder block plugin for WordPress designed to simplify the process of creating and managing tables within the Gutenberg editor. No short code required.
 * Requires at least: 6.1
 * Requires PHP:      7.4
 * Version:           1.0.1
 * Author:            wprigel
 * Author URI:        http://wprigel.com/
 * License:           GPL2
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain:       table-block
 *
 * @package wpRigel\TableStack
 */

declare(strict_types=1);

namespace wpRigel\TableStack;

// don't call the file directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// Define constants.
define( 'TABLESTACK_VERSION', '1.0.1' );
define( 'TABLESTACK_PATH', untrailingslashit( plugin_dir_path( __FILE__ ) ) );
define( 'TABLESTACK_URL', untrailingslashit( plugin_dir_url( __FILE__ ) ) );

/**
 * Autoload dependencies.
 */
require_once TABLESTACK_PATH . '/includes/class-plugin.php';

/**
 * Initialize the plugin.
 */
function table_stack_plugin(): Plugin {
	static $plugin;

	if ( null === $plugin ) {
		$plugin = new Plugin();
	}

	return $plugin;
}

/**
 * Initialize the plugin on 'plugins_loaded' hook.
 */
add_action(
	'plugins_loaded',
	function () {
		table_stack_plugin()->run();
	}
);
